CREATE TABLE TB_R_MATERIAL_VALUATION     (
	PROD_PURPOSE_CD VARCHAR(5) NOT NULL, 
	MAT_NO VARCHAR(23) NOT NULL, 
	SOURCE_TYPE VARCHAR(1) NOT NULL, 
	PLANT_CD VARCHAR(4) NOT NULL, 
	COSTING_TYPE VARCHAR(2), 
	SPECIAL_PROCUREMENT_TYPE_CD VARCHAR(2) NOT NULL, 
	CURR_CD VARCHAR(3), 
	DELETION_FLAG VARCHAR(1) NOT NULL, 
	ISSUE_STORAGE_LOCATION VARCHAR(6), 
	TTL_VALUATED_STOCK NUMERIC(13,3) DEFAULT 0 NOT NULL, 
	VALUE_OF_TOTAL_VALUATED_STOCK NUMERIC(17,2) NOT NULL, 
	PRICE_CONTROL_FLAG VARCHAR(1) NOT NULL, 
	MOVING_AVERAGE_PRICE NUMERIC(15,2) NOT NULL, 
	STANDARD_PRICE NUMERIC(15,2) NOT NULL, 
	GLOBAL_COST_PRICE NUMERIC(15,2) NOT NULL, 
	VALUATION_CLASS_CD VARCHAR(4) NOT NULL, 
	FISCAL_YEAR_CURR_PERIOD NUMERIC(4,0) NOT NULL, 
	POSTING_PERIOD NUMERIC(2,0) NOT NULL, 
	COST_ESTIMATED_NO NUMERIC(12,0) NOT NULL, 
	PERIOD_OF_CURR_COST_ESTIMATION NUMERIC(3,0) NOT NULL, 
	PERIOD_OF_PREV_COST_ESTIMATION NUMERIC(3,0) NOT NULL, 
	FY_OF_CURR_COST_ESTIMATION NUMERIC(4,0) NOT NULL, 
	FY_OF_PREV_COST_ESTIMATION NUMERIC(4,0) NOT NULL, 
	PREVIOUSE_PLANNED_PRICE NUMERIC(15,2) NOT NULL, 
	CURRENT_PLANNED_PRICE NUMERIC(15,2) NOT NULL, 
	SLOC_FOR_EX_PROC VARCHAR(6), 
	CREATED_BY VARCHAR(20) NOT NULL, 
	CREATED_DT DATE NOT NULL, 
	CHANGED_BY VARCHAR(20), 
	CHANGED_DT DATE, 
	 CONSTRAINT PK_TB_R_MATERIAL_VALUATION PRIMARY KEY (PROD_PURPOSE_CD, MAT_NO, SOURCE_TYPE, PLANT_CD)
)